"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tsNode = require("ts-node");
const fs = require("fs");
const path = require("path");
// import * as tsConfigPaths from 'tsconfig-paths';
function loadFile(path) {
    try {
        return require(path);
    }
    catch (err) {
        err.message = `[egg-typed] load file: ${path}, error: ${err.message}`;
        throw err;
    }
}
exports.loadFile = loadFile;
function getTSConfig(baseDir) {
    if (!fs.existsSync(path.join(baseDir, 'tsconfig.json'))) {
        console.warn('tsconfig.json NOT FOUND!');
        return;
    }
    return JSON.parse(fs.readFileSync(path.join(baseDir, 'tsconfig.json'), { encoding: 'utf8' }) || '{}');
}
function registerTSNode(baseDir) {
    tsNode.register(Object.assign({}, getTSConfig(baseDir), { transformers: {
            before: [],
        } }));
}
exports.registerTSNode = registerTSNode;
// export function registerTSConfigPaths(baseDir: string) {
//   const tsConfig = getTSConfig(baseDir);
//   if (tsConfig.compilerOptions && tsConfig.compilerOptions.paths) {
//     tsConfigPaths.register({
//       baseUrl: baseDir,
//       paths: getTSConfig(baseDir).compilerOptions.paths
//     });
//   }
// }
